<?php

namespace jrosset\Collections;

/**
 * Interface for PHP-native array cast
 *
 * @template TKey of array-key
 * @template TValue
 */
interface IArrayCast {
    /**
     * Transform to a PHP-native array
     *
     * @return array<TKey, TValue> The native array
     */
    public function toArray (): array;
}